+++
disableToc = false
hidden = true
title = "Version 7.0"
type = "releasenotes"
weight = -0
+++

## 7.0.0 (2024-10-15) {#7-0-0}

### Hugo 0.126.0

- {{% badge color="fuchsia" icon="fa-fw fab fa-hackerrank" title=" " %}}0.126.0{{% /badge %}} This release requires a newer Hugo version.

### Breaking

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} This release comes with significant changes in file naming of partials and how the theme works internally. This was done because the theme

  - suffered from poor build performance for sites with 1000 or more pages
  - reinvented the wheel instead of using available Hugo mechanisms

  _What do I gain_, you may ask. A significant performance boost during build! Usually, the build time has been cut at least in half for bigger sites. It is now possible to build even larger sites with 5000 or more pages. This was previously almost impossible due to rapidly increasing build time with the more pages you've introduced. For even bigger sites, the theme now has [configurable performance optimizations](configuration/sidebar/menus#expander-for-submenus) - at the price of feature limitations.

  If you haven't done customizations to any partials, you can update right away.

  If you have customized your templates, in the best cases, you will get build warnings or even errors. In the worst cases, your build succeeds but the site will not work as intended by you.

  Specifically, you will have to adapt your site if you have

  - [overwritten the `header.html`, `menu.html` or `footer.html` partials](configuration/customization/partials)
  - [self-defined output formats](configuration/customization/outputformats)
  - self-defined archetype partials in `layouts/partials/archetypes` - now becoming [page designs](configuration/customization/designs)
  - [overwritten prev/next topbar buttons](configuration/customization/topbar) - needs sync with implementation changes

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} This release changes the way the search index and the dedicated search page are generated. This may require reconfiguration by you to still work as you have intended.

  You need to remove the now obsolete `search` and `searchpage` output format from `[outputs.home]` in your `hugo.toml`, resulting in something similar to

	{{< multiconfig file=hugo >}}
	[outputs]
	  home = ['html', 'rss', 'print']
	{{< /multiconfig >}}

  After that, your build will succeed but will most likely cause new defaults to be applied. With no further settings, in-page search, search popup and dedicated search page are all active by default. This can be reconfigured.

  In addition, you are now able to overwrite the default file name of the search index and the default page name of the dedicated search page by changing `searchIndexURL` and `searchPageURL` respectively in your `hugo.toml`.

  See the [updated documentation](configuration/sidebar/search) for reference.

### Change

- {{% badge style="note" title=" " %}}Change{{% /badge %}} Once again, the theme changed the font. We switched to the excellent [Roboto Flex](https://github.com/googlefonts/roboto-flex) font.

  Care was taken to configure the font to look similar to the previously used Work Sans. Nevertheless, in direct comparison, you will see slight differences in appearance.

  This change was necessary as the previously used font had display issues with [marked text](authoring/markdown#marked-text), contrast, and some other minor stuff. As an aftermath, the number of requests and the download size were decreased when loading a page.

  The font was created by Google, is licensed under OFL 1.1 and is delivered from your theme's installation. As always, no third-party server calls are involved.

  If you have changed the `font-family` in your installation, you most likely have to adjust the variables `--MAIN-font-weight`, `--MAIN-BOLD-font-weight` and `--MAIN-letter-spacing`.

  Additionally, if you have changed the font to a [variable font](https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_fonts/Variable_fonts_guide#variable_fonts_what_they_are_and_how_they_differ) in your installation, you may have to adjust the variable `--MAIN-font-variation-settings`. As this only applies to **variable fonts**, this should rarely be necessary.

- {{% badge style="note" title=" " %}}Change{{% /badge %}} While switching the font, it was discovered that certain CSS variables were falsely named. You don't need to change anything in your custom variant stylesheet as the old names will be used as a fallback.

  `--MAIN-TITLES-TEXT-font` was renamed to `--MAIN-TITLES-font`, `--MAIN-TITLES-H<n>-color` was renamed to `--MAIN-TITLES-H<n>-TEXT-color`.

- {{% badge style="note" title=" " %}}Change{{% /badge %}} The options and front matter to force loading a [math](shortcodes/math#force-loading-of-the-mathjax-library), [mermaid](shortcodes/mermaid#force-loading-of-the-mermaid-library) or [openapi](shortcodes/openapi#force-loading-of-the-swagger-ui-library) library has been changed.

  Previously, you had to set the unintuitive `disableMathJax=false` to force load the math library in case of a passthrough configuration. This is replaced by the simpler `math=true` or `math.force=true` and is now in line with [Hugo's official documentation](https://gohugo.io/content-management/mathematics/#step-1).

  You don't need to change anything yet but will receive warnings if the old settings are used.

- {{% badge style="note" title=" " %}}Change{{% /badge %}} The default logo is not contained inside of the theme's logo partial anymore.

  This is to avoid usage of the theme's branding throughout the web in non-modified installations.

  In addition, the default text for the logo partial is now [taken from the `linkTitle` setting](configuration/sidebar/headerfooter#title) of your `hugo.toml`.

### New

- {{% badge style="info" icon="plus-circle" title=" " %}}New{{% /badge %}} The docs received a much-needed overhaul for all chapters.

  Basically, the structure was reorganized, giving each topic its own page while keeping the amount of items for each menu level comprehensible by adding sub-pages.

  The docs now clearly differentiate between [configuration of your site](configuration), all things [writing page content](authoring) and the [shortcodes docs](shortcodes) that cover both topics, configuration and usage.

  To give you a better overview of what's possible with the theme, we introduced reference pages for all theme [configuration options](configuration/reference) and [front matter](authoring/frontmatter/reference) and mark each occurrence of such on all pages with the badges {{% badge style="cyan" icon="gears" title=" " %}}Option{{% /badge %}} and {{% badge style="green" icon="fa-fw fab fa-markdown" title=" " %}}Front Matter{{% /badge %}}.

  Also, a lot of previously undocumented features are now included, namely

  - the [hidden pages](configuration/content/hidden) feature
  - [options of the menus](configuration/sidebar/menus)
  - configuring [breadcrumb, titles](configuration/content/titles) and [headings](configuration/content/headings) of your content
  - [options for using links](configuration/content/linking)
  - adding [custom output formats](configuration/customization/outputformats)
